unit Document;

interface

uses
	Classes, QForms, Qt;

type
	TDocument = class(TPersistent)
	private
		FView:	TCustomForm;
		FModified:	Boolean;
		FReadOnly:	Boolean;
		FIniFile:	string;
		FRegKey:	string;
	protected
		procedure	SaveIniFile;	virtual;
		procedure	LoadIniFile;	virtual;
		procedure	SaveRegistry;	virtual;
		procedure	LoadRegistry;	virtual;
		procedure	BeginUpdate;	virtual;
		procedure	EndUpdate;	virtual;
		property	IniFile:	string	read	FIniFile	write	FIniFile;
		property	RegKey:	string	read	FRegKey	write	FRegKey;
	public
		constructor	Create(View:TCustomForm);
		property	View:	TCustomForm	read	FView;
		property	Modified:	Boolean	read	FModified	write	FModified;
		property	ReadOnly:	Boolean	read	FReadOnly	write	FReadOnly;
	end;


implementation

constructor	TDocument.Create(View:TCustomForm);
begin
	inherited	Create;

	FView:=View;
end;

procedure	TDocument.SaveIniFile;
begin
end;

procedure	TDocument.LoadIniFile;
begin
end;

procedure	TDocument.SaveRegistry;
begin
end;

procedure	TDocument.LoadRegistry;
begin
end;

procedure	TDocument.BeginUpdate;
begin
end;

procedure	TDocument.EndUpdate;
begin
end;

end.

