unit AboutFrm;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, QImgList, QExtCtrls, QMenus, QComCtrls;

type
  TAboutBox = class(TForm)
		OKButton: TButton;
		Panel1: TPanel;
		ProgramIcon: TImage;
		ProductName: TLabel;
		Copyright: TLabel;
		Label1: TLabel;
    Label2: TLabel;
    Memo1: TMemo;
		procedure FormCreate(Sender: TObject);
		procedure OKButtonClick(Sender: TObject);
		procedure Label1Click(Sender: TObject);
		procedure ProgramIconMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ProgramIconMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ProgramIconMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
	private
		{ Private  }
		FDragging:	Boolean;
		FDragPoint:	TPoint;
		FOrgPoint:	TPoint;
	protected
//		procedure	CreateParams(var	Params:TCreateParams);	override;
	public
		{ Public  }
  end;

var
	AboutBox: TAboutBox;

implementation

uses
	MainFrm;

{$R *.xfm}

(*
procedure	TAboutBox.CreateParams(var	Params:TCreateParams);
begin
	inherited;

	//ALT+TABɽ
//	Params.WndParent:=HWND(nil);
	Params.ExStyle:=Params.ExStyle	or	WS_EX_APPWINDOW{	or	WS_EX_TOPMOST};
end;
*)

procedure TAboutBox.FormCreate(Sender: TObject);
//var
//	IconHandle:	HICON;
begin
{
	ProgramIcon.Picture.Assign(Application.Icon);
	IconHandle:=ExtractIcon(HInstance,'User.exe',0);
	if	IconHandle<=1	then
		IconHandle:=ExtractIcon(HInstance,'Shell32.dll',39);
	if	IconHandle>1	then
		Icon.Handle:=IconHandle;
}
end;

procedure TAboutBox.Label1Click(Sender: TObject);
begin
{
	if	ShellExecute(0,'open',PChar(Label1.Caption),nil,nil,SW_SHOW)<=32	then
		Application.MessageBox(
			'URLޤ',
			'ActMas',
			MB_OK	or	MB_ICONWARNING
		)
	else
		Close;
}
end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
	Close;
end;

procedure TAboutBox.ProgramIconMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
	FDragging:=True;
	FDragPoint:=Point(ProgramIcon.Left,ProgramIcon.Top);
	FOrgPoint:=Point(ProgramIcon.Left,ProgramIcon.Top);
end;

procedure TAboutBox.ProgramIconMouseMove(Sender: TObject;
	Shift: TShiftState; X, Y: Integer);
begin
	if	FDragging	then
	begin
		ProgramIcon.Left:=X+FDragPoint.x;
		ProgramIcon.Top:=Y+FDragPoint.y;
		FDragPoint:=Point(ProgramIcon.Left,ProgramIcon.Top);
	end;
end;

procedure TAboutBox.ProgramIconMouseUp(Sender: TObject;
	Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
	Pt:	TPoint;
	R:	TRect;
begin
	FDragging:=False;
	GetCursorPos(Pt);
	Pt:=ScreenToClient(Pt);
	with	OkButton	do
		R:=Bounds(Left,Top,Width,Height);
	if	PtInRect(R,Pt)	then
//	if	ControlAtPos(Point(ProgramIcon.Left+X,ProgramIcon.Top+Y),False,True)=OkButton	then
		ShowMessage('Easter egg!');
	ProgramIcon.Left:=FOrgPoint.x;
	ProgramIcon.Top:=FOrgPoint.y;
end;

procedure TAboutBox.FormActivate(Sender: TObject);
begin
//	SetWindowPos(Handle,Form1.Handle,0,0,0,0,SWP_NOACTIVATE	or	SWP_NOMOVE	or	SWP_NOSIZE);
//	SetWindowPos(Form1.Handle,Handle,0,0,0,0,{SWP_NOACTIVATE	or	}SWP_NOMOVE	or	SWP_NOSIZE);
//	BringWindowToTop(Form1.Handle);
//	SetFocus;
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
	AboutBox:=nil;
	Action:=caFree;
end;

procedure TAboutBox.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
//	if	Key=VK_ESCAPE	then
//		Close;
end;

end.

